# Hidden Config

Added in Publisher 3.12.2. Publisher added support for the relationships\_display\_field\_options hook, which lets add-ons modify the list of entries displayed in a Relationship field. When viewing an entry in the non-default language, and the Persistent Relationships setting is turned off, you might not want to display entries that are not translated to the current language. This hook will remove any entries not translated to the current language so they can not be inadvertently selected by the user. The draw back to this is that on large sites with thousands of entries, it can add a couple of seconds to the page load time due to the sheer amount of entries it needs to process. Caching has been added to alleviate this, but it can only do so much. If you want disable this behavior, thus potentially showing entries that might not be translated to the current language, then add this to your config.php file.

```php
$config['publisher_disable_relationship_display_options_hook'] = 'yes';
```

@todo, document these:

```
publisher_default_language_id
publisher_email_reply_to
publisher_email_reply_name
publisher_canonical_url_ignore_patterns
publisher_fix_iframe_src
publisher_lang_override
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boldminded.com/publisher/docs/hidden-config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
